<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/TransmissionAgents/Agents/InfluenzaAgent.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d0a/_influenza_agent_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">InfluenzaAgent.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d0a/_influenza_agent_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>InfluenzaAgent <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/dd5/class_agent_base.html">AgentBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/dd5/class_agent_base.html#a2ad863c030249d4be1f7578b59256725">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> INFLUENZA_AGENT_AUTOINFECT_THRESHOLD_HC = <a class="code hl_class" href="../../d3/def/class_player_constants.html">PlayerConstants</a>.<a class="code hl_variable" href="../../d3/def/class_player_constants.html#a23fb343ee8334f2d4b572423a49573b7">THRESHOLD_HEAT_COMFORT_MINUS_WARNING</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d1/dd5/class_agent_base.html#aa1b26ae22297b724de56a4721647cd2b">    5</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dd5/class_agent_base.html#aa1b26ae22297b724de56a4721647cd2b">Init</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a>                  = <a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.INFLUENZA;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        m_Invasibility          = 0.33;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        m_TransferabilityIn     = 1;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        m_TransferabilityOut    = 1;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        m_MaxCount              = 1000;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        m_Digestibility         = 0.1;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        m_AntibioticsResistance = 0;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        m_AutoinfectProbability = CalculateAutoinfectProbability( 0.40 );</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        m_TransferabilityAirOut = 1;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        m_Potency               = <a class="code hl_enumeration" href="../../da/db4/_e_stat_levels_8c.html#a33dd957dac0dffc62424608704bc94a3">EStatLevels</a>.MEDIUM;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_DieOffSpeed           = 0.66;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d1/dd5/class_agent_base.html#a825d2821d36bdd4df5096b8cab2e94b8">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/dd5/class_agent_base.html#a825d2821d36bdd4df5096b8cab2e94b8">CanAutoinfectPlayer</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> ( player.GetStatHeatComfort().Get() &lt; INFLUENZA_AGENT_AUTOINFECT_THRESHOLD_HC )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;            </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;   </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>}</div>
<div class="ttc" id="a4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_html_abfdaa01618f1af01d1a23e2611c0109f"><div class="ttname"><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a></div><div class="ttdeci">eBleedingSourceType m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00025">BleedingSource.c:25</a></div></div>
<div class="ttc" id="a_e_agents_8c_html_a5a5d699a74359c32fabcdcdcbe60c1ae"><div class="ttname"><a href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a></div><div class="ttdeci">eAgents</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dfb/_e_agents_8c_source.html#l00002">EAgents.c:3</a></div></div>
<div class="ttc" id="a_e_stat_levels_8c_html_a33dd957dac0dffc62424608704bc94a3"><div class="ttname"><a href="../../da/db4/_e_stat_levels_8c.html#a33dd957dac0dffc62424608704bc94a3">EStatLevels</a></div><div class="ttdeci">EStatLevels</div><div class="ttdef"><b>Definition:</b> <a href="../../da/db4/_e_stat_levels_8c_source.html#l00001">EStatLevels.c:2</a></div></div>
<div class="ttc" id="aclass_agent_base_html"><div class="ttname"><a href="../../d1/dd5/class_agent_base.html">AgentBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d15/_brain_agent_8c_source.html#l00001">BrainAgent.c:2</a></div></div>
<div class="ttc" id="aclass_agent_base_html_a825d2821d36bdd4df5096b8cab2e94b8"><div class="ttname"><a href="../../d1/dd5/class_agent_base.html#a825d2821d36bdd4df5096b8cab2e94b8">AgentBase::CanAutoinfectPlayer</a></div><div class="ttdeci">override bool CanAutoinfectPlayer(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_influenza_agent_8c_source.html#l00020">InfluenzaAgent.c:20</a></div></div>
<div class="ttc" id="aclass_agent_base_html_aa1b26ae22297b724de56a4721647cd2b"><div class="ttname"><a href="../../d1/dd5/class_agent_base.html#aa1b26ae22297b724de56a4721647cd2b">AgentBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_influenza_agent_8c_source.html#l00005">InfluenzaAgent.c:5</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_player_constants_html"><div class="ttname"><a href="../../d3/def/class_player_constants.html">PlayerConstants</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/_player_constants_8c_source.html#l00001">PlayerConstants.c:2</a></div></div>
<div class="ttc" id="aclass_player_constants_html_a23fb343ee8334f2d4b572423a49573b7"><div class="ttname"><a href="../../d3/def/class_player_constants.html#a23fb343ee8334f2d4b572423a49573b7">PlayerConstants::THRESHOLD_HEAT_COMFORT_MINUS_WARNING</a></div><div class="ttdeci">static const float THRESHOLD_HEAT_COMFORT_MINUS_WARNING</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/_player_constants_8c_source.html#l00079">PlayerConstants.c:79</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0d221cc64db71d6cf8ce051c160d262e.html">TransmissionAgents</a></li><li class="navelem"><a class="el" href="../../dir_9df0a4c7a936b91a02d05c86c951b919.html">Agents</a></li><li class="navelem"><a class="el" href="../../d0/d0a/_influenza_agent_8c.html">InfluenzaAgent.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
